// Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.
// See LICENSE.md for full license information.

using AtomicSoftware;
using System.Reflection;

[assembly: AssemblyCompany("Atomic Software, LLC")]
[assembly: AssemblyCopyright("Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.")]

[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

[assembly: AssemblyVersion(AtomVersion.PublicVersion)]
[assembly: AssemblyFileVersion(AtomVersion.PublicVersion)]

#if DEBUG
[assembly: AssemblyConfiguration("Debug")]
#else
[assembly: AssemblyConfiguration("Release")]
#endif

namespace AtomicSoftware
{
    /// <summary>
    /// Internal version used to identify Xenko version.
    /// </summary>
    internal class AtomVersion
    {
        /// <summary>
        /// The copyright year or year range.
        /// </summary>
        public const string CopyrightYear = "2017-2018";

        /// <summary>
        /// The version used for display purposes.
        /// </summary>
        public const string PublicVersion = "1.0.0";

        /// <summary>
        /// The current assembly version as text, currently same as <see cref="PublicVersion"/>.
        /// </summary>
        public const string AssemblyVersion = PublicVersion;
    }
}
